POSTGetBlockBalance

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/getblockbalance

Get all balance change operations in a block.(Note: At present, the interface data can only be queried through the following official nodes 13.228.119.63 & 18.139.193.235&18.141.79.38 &18.139.248.26)

Request Body
hashstringrequired

Block hash (ID). Example: 0000000003dba95c7f05cedf1ba32cd64b6baa082a7870f533b4451703e432ab

numberinteger (int32)required

Block number. The block hash and block number must be consistent, referring to the same block. Example: 64727388

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
timestampint64 (int64)

Timestamp. (Unit: millisecond)

hashstring

Block hash.

numberinteger (int64)

Block number.

transaction_identifierstring

Transaction ID (hash).

typestring

Transaction type.

statusstring

Transaction result status.

X-API-KEY
RequestCU50
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/getblockbalance" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
    "hash": "0000000003dba95c7f05cedf1ba32cd64b6baa082a7870f533b4451703e432ab",
    "number": 64727388,
    "visible": true
  }'
Response
Example · 200
{
  "block_identifier": {
    "hash": "000000000000dc2a3731e28a75b49ac1379bcc425afc95f6ab3916689fbb0189",
    "number": 56362
  },
  "timestamp": 1530060672000,
  "transaction_balance_trace": [
    {
      "transaction_identifier": "e6cabb1833cd1f795eed39d8dd7689eaa70e5bb217611766c74c7aa9feea80df",
      "operation": [
        {
          "operation_identifier": 0,
          "address": "TPttBLmFuykRi83y9HxDoEWxTQw6CCcQ4p",
          "amount": -100000
        },
        {
          "operation_identifier": 1,
          "address": "TLsV52sRDL79HXGGm9yzwKibb6BeruhUzy",
          "amount": 100000
        },
        {
          "operation_identifier": 2,
          "address": "TPttBLmFuykRi83y9HxDoEWxTQw6CCcQ4p",
          "amount": -10000000
        },
        {
          "operation_identifier": 3,
          "address": "TMrysg7DbwR1M8xqhpaPdVCHCuWFhw7uk1",
          "amount": 10000000
        }
      ],
      "type": "TransferContract",
      "status": "SUCCESS"
    }
  ]
}